PelekaPeleka Developers
API ReferenceForms

Get analytics for a form including time series and field completion rates

GET
/api/v1/forms/{id}/analytics
X-API-Key<token>

In: header

Path Parameters

id*string

Form UUID

Query Parameters

range?string

Date range (default: 30d)

Value in

  • "7d"
  • "30d"
  • "90d"
  • "1y"
  • "custom"
from?string

Start date for custom range (ISO 8601)

to?string

End date for custom range (ISO 8601)

Response Body

application/json

curl -X GET "https://example.com/api/v1/forms/string/analytics"
{  "viewsCount": 450,  "submissionsCount": 89,  "conversionRate": 19.78,  "timeSeries": [    {      "date": "2026-06-01",      "views": 45,      "submissions": 8    },    {      "date": "2026-06-02",      "views": 52,      "submissions": 11    }  ],  "conversionTrend": [    {      "date": "2026-06-01",      "rate": 17.78    },    {      "date": "2026-06-02",      "rate": 21.15    }  ],  "fieldCompletionRates": [    {      "field": "email",      "filled": 89    },    {      "field": "firstName",      "filled": 85    }  ],  "trafficSources": [    {      "name": "google.com",      "value": 48,      "count": 22    },    {      "name": "direct",      "value": 28,      "count": 13    },    {      "name": "email-link",      "value": 16,      "count": 7    }  ],  "submissionsByDevice": [    {      "device": "Mobile",      "count": 45,      "pct": 50.56    },    {      "device": "Desktop",      "count": 40,      "pct": 44.94    },    {      "device": "Tablet",      "count": 4,      "pct": 4.49    }  ]}